Bug 197658 - cannot trigger scim by clicking different IME on factory menu
cannot trigger scim by clicking different IME on factory menu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 08:28 EDT by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-07 17:38:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2006-07-05 08:28:18 EDT
Description of problem:
It seems not possible to activate scim in a different IME from the current
one with the scim language menu when using scim-bridge without shared-input mode.

Version-Release number of selected component (if applicable):
0.2.3

How reproducible:
every time

Steps to Reproduce:
1. open a gtk application
2. turn on scim and turn off again
3. use the mouse to change to another IME
  
Actual results:
3. scim is not activated in new IME

Expected results:
4. scim to be active in selected IME.

Additional info:
This does not happen with im-scim.so.

I think this also happens with 0.2.2.
Comment 1 Jens Petersen 2006-07-05 09:03:26 EDT
I should add that selecting the IME a second time activates it
as does using the trigger hotkey after the first click.
Comment 2 Jens Petersen 2006-07-07 17:38:27 EDT
Fixed in scim-bridge-0.2.4.

Note You need to log in before you can comment on or make changes to this bug.